<template>
    <div>
        <headerr back>Manage Workspaces</headerr>

        <div class="divide-y container mx-auto max-w-lg lg:border rounded-lg overflow-hidden">
            <router-link :to="{ name: 'ViewWorkspace', params: { workspaceId: workspace.id } }" v-for="workspace of workspaces" :key="workspace.id" class="flex flex-row items-center justify-between py-4 px-3 hover:bg-gray-100">
                <div class="flex flex-row items-center">
                    <workspaces-icon :workspace="workspace"></workspaces-icon>
                    <div class="ml-2">
                        {{workspace.name}}
                    </div>
                </div>
                <i class="hero solid chevron-right"></i>
            </router-link>
        </div>
        <router-link :to="{ name: 'CreateWorkspace' }" class="flex flex-row items-center justify-center text-blue-500 uppercase tracking-wide font-bold p-4">
            <i class="hero solid plus"></i>
            <div class="ml-2">
                Create Workspace
            </div>
        </router-link>
    </div>
</template>

<script lang=ts>
import Workspace from '@/models/Workspace'
import WorkspacesIcon from '@/components/Workspaces/Icon.vue'

export default {
    components: { WorkspacesIcon },
    setup() {
        return {
            workspaces: Workspace.query().get()
        }
    }
}
</script>